Не могу собрать новую версию mplayer в пакет

Ответить
Аватара пользователя
Yamah
Сообщения: 1318
Зарегистрирован: 04 май 2012, 06:30
Operating system: Десктоп (дом): Rosa Fresh R8.1, Rosa Fresh R10
Десктоп (работа): Rosa Fresh R8.1/Rosa Fresh R10
Сервер (работа): Rosa Enterprise Linux Sercver 6.7
Нетбук: Rosa Fresh R10
Контактная информация:

Не могу собрать новую версию mplayer в пакет

Сообщение Yamah » 11 дек 2014, 06:27

Сам mplayer прекрасно собирается.
Что делал.
Получил последнюю версию из svn-репозитория mplayer.
Упаковал ее в тарбол аналогично тому как упакован тарбол в пакете из репозитория.
Подправил спекфайл.

Код: Выделить всё

diff mplayer.spec mplayer_new.spec 
3c3
< %define svn r36417
---
> %define svn r37329
6c6
< %define rel 2.%{svn}.11
---
> %define rel 2.%{svn}.0
70c70
< %define build_plf 1
---
> %define build_plf 0
141c141
< BuildRequires:        libdxr3-devel
---
> # BuildRequires:      libdxr3-devel
650,651c650,654
< * Mon Sep 22 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.1.1-2.r36417.11plf
< + Revision: 11b687c
---
> * Mon Dec 4 2014 Yamah <##################@##########> 1.1.1-2.r37329
> + svn r37329
> 
> * Mon Sep 22 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.1.1-2.r36417.11
> + Revision: 1190d3d
Начинаю собирать но сборка вылетает:

Код: Выделить всё

rpmbuild -ba mplayer_new.spec
Выполняется(%prep): /bin/sh -e /var/tmp/rpm-tmp.42807
+ umask 022
+ cd /home/yamah/rpmbuild/BUILD
+ '[' 1 -eq 1 ']'
+ '[' 1 -eq 1 ']'
+ '[' 1 -eq 1 ']'
+ cd /home/yamah/rpmbuild/BUILD
+ rm -rf mplayer
+ /usr/bin/xz -dc /home/yamah/rpmbuild/SOURCES/mplayer-r37329.tar.xz
+ /bin/tar -xf -
+ STATUS=0
+ '[' 0 -ne 0 ']'
+ cd mplayer
+ /usr/bin/bzip2 -dc /home/yamah/rpmbuild/SOURCES/Blue-1.8.tar.bz2
+ /bin/tar -xf -
+ STATUS=0
+ '[' 0 -ne 0 ']'
+ echo r37329
+ sed 's/^r//'
+ find DOCS -name .svn
+ xargs rm -rf
+ chmod 644 AUTHORS Changelog README Copyright
+ rm -f Blue/README
+ echo 'Patch #0 (mplayer-mdvconfig.patch):'
Patch #0 (mplayer-mdvconfig.patch):
+ /bin/cat /home/yamah/rpmbuild/SOURCES/mplayer-mdvconfig.patch
+ /usr/bin/patch --fuzz=0 -s -U -p1 -b --suffix .mdv~
+ echo 'Patch #1 (mplayer-r36417-giflib51.patch):'
Patch #1 (mplayer-r36417-giflib51.patch):
+ /bin/cat /home/yamah/rpmbuild/SOURCES/mplayer-r36417-giflib51.patch
+ /usr/bin/patch --fuzz=0 -s -U -p1 -b --suffix .giflib51~
1 out of 1 hunk FAILED -- saving rejects to file libmpdemux/demux_gif.c.rej
+ exit 1
error: Неверный код возврата из /var/tmp/rpm-tmp.42807 (%prep)


Ошибки сборки пакетов:
    Неверный код возврата из /var/tmp/rpm-tmp.42807 (%prep)

Код: Выделить всё

cat rpm-tmp.42807
#!/bin/sh

  RPM_BUILD_DIR="/home/yamah/rpmbuild/BUILD"
  RPM_OPT_FLAGS="-O2 -Wa,--compress-debug-sections -gdwarf-4 -fvar-tracking-assignments -frecord-gcc-switches -Wstrict-aliasing=2 -pipe -Wformat -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -fstack-protector --param=ssp-buffer-size=4 -fPIC"
  export RPM_BUILD_DIR RPM_OPT_FLAGS
  RPM_PACKAGE_NAME="mplayer"
  export RPM_BUILD_DIR RPM_OPT_FLAGS RPM_PACKAGE_NAME
  RPM_BUILD_ROOT="/home/yamah/rpmbuild/BUILDROOT/mplayer-1.1.1-2.r37329.0-rosa2012.1.x86_64-buildroot"
  export RPM_BUILD_ROOT
  
  unset PERL_MM_OPT || :
  LC_ALL=C
  export LC_ALL
  LANG=C
  export LANG
  unset DISPLAY || :
  unset LINGUAS || :
  unset LANGUAGE || :
  unset LC_MESSAGES || :
  
  set -x
  umask 022
  cd "/home/yamah/rpmbuild/BUILD"
[           1      -eq 1 ] || exit 0 
[           1      -eq 1 ] || exit 0 
[           1      -eq 1 ] || exit 0 

cd '/home/yamah/rpmbuild/BUILD'
rm -rf 'mplayer'
/usr/bin/xz -dc '/home/yamah/rpmbuild/SOURCES/mplayer-r37329.tar.xz' | /bin/tar -xf -
STATUS=$?
if [ $STATUS -ne 0 ]; then
  exit $STATUS
fi
cd 'mplayer'
/usr/bin/bzip2 -dc '/home/yamah/rpmbuild/SOURCES/Blue-1.8.tar.bz2' | /bin/tar -xf -
STATUS=$?
if [ $STATUS -ne 0 ]; then
  exit $STATUS
fi
#gw as we have have used svn export:
echo r37329|sed s/^r// > snapshot_version
find DOCS -name .svn|xargs rm -rf
#gw fix permissions
chmod 644 AUTHORS Changelog README Copyright
rm -f Blue/README
echo "Patch #0 (mplayer-mdvconfig.patch):" && ( /bin/cat /home/yamah/rpmbuild/SOURCES/mplayer-mdvconfig.patch | /usr/bin/patch --fuzz=0 -s -U -p1 -b --suffix .mdv~ ) || exit 1
echo "Patch #1 (mplayer-r36417-giflib51.patch):" && ( /bin/cat /home/yamah/rpmbuild/SOURCES/mplayer-r36417-giflib51.patch | /usr/bin/patch --fuzz=0 -s -U -p1 -b --suffix .giflib51~ ) || exit 1
echo "Patch #2 (mplayer-1.1.1-samba4.patch):" && ( /bin/cat /home/yamah/rpmbuild/SOURCES/mplayer-1.1.1-samba4.patch | /usr/bin/patch --fuzz=0 -s -U -p1 -b --suffix .samba4~ ) || exit 1
echo "Patch #28 (mplayer-rtsp-extra-fixes.patch):" && ( /bin/cat /home/yamah/rpmbuild/SOURCES/mplayer-rtsp-extra-fixes.patch | /usr/bin/patch --fuzz=0 -s -U -p1 -b --suffix .rtsp-extra-fixes ) || exit 1
echo "Patch #31 (mplayer-format-string-literal.patch):" && ( /bin/cat /home/yamah/rpmbuild/SOURCES/mplayer-format-string-literal.patch | /usr/bin/patch --fuzz=0 -s -U -p1 -b --suffix .format~ ) || exit 1
echo "Patch #33 (mplayer-have-dlfcn_h.patch):" && ( /bin/cat /home/yamah/rpmbuild/SOURCES/mplayer-have-dlfcn_h.patch | /usr/bin/patch --fuzz=0 -s -U -p0 -b --suffix .dlfcn~ ) || exit 1
echo "Patch #35 (mplayer-fix-dvd-crash.patch):" && ( /bin/cat /home/yamah/rpmbuild/SOURCES/mplayer-fix-dvd-crash.patch | /usr/bin/patch --fuzz=0 -s -U -p0 ) || exit 1
echo "Patch #39 (mplayer-dlopen-libfaac-libfaad-and-libx264.patch):" && ( /bin/cat /home/yamah/rpmbuild/SOURCES/mplayer-dlopen-libfaac-libfaad-and-libx264.patch | /usr/bin/patch --fuzz=0 -s -U -p1 -b --suffix .dlopen~ ) || exit 1
rm -rf ffmpeg
echo "Patch #40 (mplayer-r36361-local-copy-of-internal-ffmpeg-type-definition.patch):" && ( /bin/cat /home/yamah/rpmbuild/SOURCES/mplayer-r36361-local-copy-of-internal-ffmpeg-type-definition.patch | /usr/bin/patch --fuzz=0 -s -U -p1 -b --suffix .ffmpeg~ ) || exit 1
echo "Patch #42 (mplayer-filters-hack-with-shared.patch):" && ( /bin/cat /home/yamah/rpmbuild/SOURCES/mplayer-filters-hack-with-shared.patch | /usr/bin/patch --fuzz=0 -s -U -p1 -b --suffix .internal_filters~ ) || exit 1
echo "Patch #43 (mplayer-r34911-dont-use-ffmpeg-functionality-outside-stable-release.patch):" && ( /bin/cat /home/yamah/rpmbuild/SOURCES/mplayer-r34911-dont-use-ffmpeg-functionality-outside-stable-release.patch | /usr/bin/patch --fuzz=0 -s -U -p1 -b --suffix .ffm_stable~ ) || exit 1

# Sometimes (1.1.1) mplayer guys forget to update the VERSION file...
# Let's fix it here, but let's not abuse this ;)
echo 1.1.1 >VERSION

perl -pi -e 's^r\$svn_revision^2.r37329.0^' version.sh

mv DOCS/README README.DOCS

exit 0
Уже пытался наложить на собирающийся пакет (из репозитория) патч, созданный diff-ом при сравнении каталогов со старой и новой версиями. Та же ошибка.

Аватара пользователя
Pulfer
Сообщения: 3358
Зарегистрирован: 15 фев 2012, 01:57
Operating system: ROSA Desktop Fresh 2016.1 i586
Откуда: Vladivostok, Russia

Re: Не могу собрать новую версию mplayer в пакет

Сообщение Pulfer » 11 дек 2014, 09:56

Yamah писал(а):Patch #1 (mplayer-r36417-giflib51.patch):
+ /bin/cat /home/yamah/rpmbuild/SOURCES/mplayer-r36417-giflib51.patch
+ /usr/bin/patch --fuzz=0 -s -U -p1 -b --suffix .giflib51~
1 out of 1 hunk FAILED -- saving rejects to file libmpdemux/demux_gif.c.rej
+ exit 1
Вероятно, этот патч уже не нужен, т.к. в апстриме уже должна быть поддержка для giflib5.1. Надо просто убрать его из спека.
Intel Core i7-6700 / 8 Gb RAM / GeForce GTX 750 Ti / Rosa 2016.1 i586

Аватара пользователя
Yamah
Сообщения: 1318
Зарегистрирован: 04 май 2012, 06:30
Operating system: Десктоп (дом): Rosa Fresh R8.1, Rosa Fresh R10
Десктоп (работа): Rosa Fresh R8.1/Rosa Fresh R10
Сервер (работа): Rosa Enterprise Linux Sercver 6.7
Нетбук: Rosa Fresh R10
Контактная информация:

Re: Не могу собрать новую версию mplayer в пакет

Сообщение Yamah » 11 дек 2014, 12:41

Pulfer, спасибо за подсказку.

Продолжает дальше вываливаться на патчах.
Поудалял другие патчи, на которых происходит сбой.

Код: Выделить всё

diff mplayer.spec mplayer_new.spec
3c3
< %define svn r36417
---
> %define svn r37329
6c6
< %define rel 2.%{svn}.11
---
> %define rel 2.%{svn}.0
70c70
< %define build_plf 1
---
> %define build_plf 0
118d117
< Patch1:               mplayer-r36417-giflib51.patch
122d120
< Patch31:      mplayer-format-string-literal.patch
124d121
< Patch33:      mplayer-have-dlfcn_h.patch
128d124
< Patch40:      mplayer-r36361-local-copy-of-internal-ffmpeg-type-definition.patch
130d125
< Patch43:      mplayer-r34911-dont-use-ffmpeg-functionality-outside-stable-release.patch
141c136
< BuildRequires:        libdxr3-devel
---
> # BuildRequires:      libdxr3-devel
407d401
< %patch1 -p1 -b .giflib51~
410,411d403
< %patch31 -p1 -b .format~
< %patch33 -p0 -b .dlfcn~
417d408
< %patch40 -p1 -b .ffmpeg~
419d409
< %patch43 -p1 -b .ffm_stable~
650,651c640,644
< * Mon Sep 22 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.1.1-2.r36417.11plf
< + Revision: 11b687c
---
> * Mon Dec 4 2014 Yamah <##################@##########> 1.1.1-2.r37329
> + svn r37329
> 
> * Mon Sep 22 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.1.1-2.r36417.11
> + Revision: 1190d3
Но проблемка с mplayer-dlopen-libfaac-libfaad-and-libx264.patch
Он вываливается с ошибкой, а без него вылетает ошибка на конфигурировании параметрах сборки. Начинаешь их убирать, перестает выкачивать ffmpeg.

Аватара пользователя
Pulfer
Сообщения: 3358
Зарегистрирован: 15 фев 2012, 01:57
Operating system: ROSA Desktop Fresh 2016.1 i586
Откуда: Vladivostok, Russia

Re: Не могу собрать новую версию mplayer в пакет

Сообщение Pulfer » 11 дек 2014, 13:45

Yamah писал(а):Но проблемка с mplayer-dlopen-libfaac-libfaad-and-libx264.patch
Он вываливается с ошибкой, а без него вылетает ошибка на конфигурировании параметрах сборки. Начинаешь их убирать, перестает выкачивать ffmpeg.
Это достаточно сложный патч, но он совсем не обязателен. Суть в том, что можно собрать mplayer так, чтобы он не линковался с патентованными кодеками при сборке, а подгружал соответствующие библиотеки только если они уже установлены в системе. Конечно, если этот патч убрать, то и ключи конфигурации надо подправить.

Рекомендую всё же собирать с "%define build_plf 1", тогда просто нужные кодеки слинкуются, патч не будет накладываться, а опции сборки будут правильными.
Intel Core i7-6700 / 8 Gb RAM / GeForce GTX 750 Ti / Rosa 2016.1 i586

Аватара пользователя
Yamah
Сообщения: 1318
Зарегистрирован: 04 май 2012, 06:30
Operating system: Десктоп (дом): Rosa Fresh R8.1, Rosa Fresh R10
Десктоп (работа): Rosa Fresh R8.1/Rosa Fresh R10
Сервер (работа): Rosa Enterprise Linux Sercver 6.7
Нетбук: Rosa Fresh R10
Контактная информация:

Re: Не могу собрать новую версию mplayer в пакет

Сообщение Yamah » 12 дек 2014, 05:54

Сделал, как вы сказали. При сборке стал ругаться на неизвестные опции. Удалил их.

Код: Выделить всё

diff mplayer.spec mplayer_new.spec 
3c3
< %define svn r36417
---
> %define svn r37329
6c6
< %define rel 2.%{svn}.11
---
> %define rel 2.%{svn}.0
12c12
< %define build_plf     0
---
> %define build_plf     1
70c70
< %define build_plf 1
---
> %define build_plf 0
118d117
< Patch1:               mplayer-r36417-giflib51.patch
122d120
< Patch31:      mplayer-format-string-literal.patch
124d121
< Patch33:      mplayer-have-dlfcn_h.patch
127,128d123
< Patch39:      mplayer-dlopen-libfaac-libfaad-and-libx264.patch
< Patch40:      mplayer-r36361-local-copy-of-internal-ffmpeg-type-definition.patch
130d124
< Patch43:      mplayer-r34911-dont-use-ffmpeg-functionality-outside-stable-release.patch
141c135
< BuildRequires:        libdxr3-devel
---
> # BuildRequires:      libdxr3-devel
407d400
< %patch1 -p1 -b .giflib51~
410,411d402
< %patch31 -p1 -b .format~
< %patch33 -p0 -b .dlfcn~
414d404
< %patch39 -p1 -b .dlopen~
417d406
< %patch40 -p1 -b .ffmpeg~
419d407
< %patch43 -p1 -b .ffm_stable~
473d460
<       --disable-libdvdcss-internal \
475d461
<       --disable-dvdread-internal \
484,485c470
<       --disable-libdca \
<       --enable-libdca-dlopen \
---
>       --enable-libdca \
493,495c478
<       --disable-faad \
<       --disable-decoder=AAC \
<       --enable-faad-dlopen \
---
>       --enable-faad \
498d480
<       --enable-faac-dlopen \
501,502d482
<       --disable-twolame \
<       --enable-twolame-dlopen \
505d484
<       --enable-x264-dlopen \
587,590c566
<       --disable-libopencore_amrnb \
<       --disable-libopencore_amrwb \
<       --enable-libopencore_amrnb-dlopen \
<       --enable-libopencore_amrwb-dlopen
---
> 
650,651c626,630
< * Mon Sep 22 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.1.1-2.r36417.11plf
< + Revision: 11b687c
---
> * Mon Dec 4 2014 Yamah <##################@##########> 1.1.1-2.r37329
> + svn r37329
> 
> * Mon Sep 22 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.1.1-2.r36417.11
> + Revision: 1190d3d

Код: Выделить всё

Error: libavutil/x86/asm.h header is required for shared FFmpeg
Перестал загружаться ffmpeg, а сборка вылетает с ошибкой.
Check "config.log" if you do not understand why it failed.

Аватара пользователя
Pulfer
Сообщения: 3358
Зарегистрирован: 15 фев 2012, 01:57
Operating system: ROSA Desktop Fresh 2016.1 i586
Откуда: Vladivostok, Russia

Re: Не могу собрать новую версию mplayer в пакет

Сообщение Pulfer » 12 дек 2014, 10:13

Ну, что тут сказать, тут уже самостоятельно разбираться придётся - может это вообще баг текущего снапшота. У меня пока что совсем нет возможности отвлекаться на обновление версий или сборку новых пакетов, разве что мимоходом, но mplayer обычно требует много времени, в перерывах между основными задачами его не обновить.
Intel Core i7-6700 / 8 Gb RAM / GeForce GTX 750 Ti / Rosa 2016.1 i586

Аватара пользователя
Yamah
Сообщения: 1318
Зарегистрирован: 04 май 2012, 06:30
Operating system: Десктоп (дом): Rosa Fresh R8.1, Rosa Fresh R10
Десктоп (работа): Rosa Fresh R8.1/Rosa Fresh R10
Сервер (работа): Rosa Enterprise Linux Sercver 6.7
Нетбук: Rosa Fresh R10
Контактная информация:

Re: Не могу собрать новую версию mplayer в пакет

Сообщение Yamah » 12 дек 2014, 14:57

Pulfer писал(а):может это вообще баг текущего снапшота.
Вряд ли. Сборка руками проходит нормально. Тут или опции другие, или какой-то оставшийся патч что-то ломает, или нужно менять спек. :)
Pulfer писал(а):Ну, что тут сказать, тут уже самостоятельно разбираться придётся
У меня пока что совсем нет возможности отвлекаться на обновление версий или сборку новых пакетов, разве что мимоходом, но mplayer обычно требует много времени, в перерывах между основными задачами его не обновить.
Ясно. :)
Большое спасибо за помощь! :beer:
По крайней мере теперь знаю, в каком направлении копать. :)

Аватара пользователя
Yamah
Сообщения: 1318
Зарегистрирован: 04 май 2012, 06:30
Operating system: Десктоп (дом): Rosa Fresh R8.1, Rosa Fresh R10
Десктоп (работа): Rosa Fresh R8.1/Rosa Fresh R10
Сервер (работа): Rosa Enterprise Linux Sercver 6.7
Нетбук: Rosa Fresh R10
Контактная информация:

Re: Не могу собрать новую версию mplayer в пакет

Сообщение Yamah » 13 дек 2014, 12:55

Вроде нашел нужные параметры, что бы собиралось, правда без GUI.
Но тут незадача, что-то докрутили в ffmpeg, и он теперь не собирается в Linux.
С подсунутой предыдущей версией вроде собирается.

Но, никак не могу справится с тем, что ffmpeg подсунуть ему из архива. rpmbuild просто не отправляет сурс на распаковку. %prep указан только Source0, а распаковывает как Source0 (mplayer), так и Source4 (Blue-1.8.tar.bz2).

Где я туплю и не вижу как должен быть прописана распаковка Source4, что бы аналогично прописать распаковку Source2 (ffmpeg).

В архиве как
https://filebox.belykh.me/data/public/e155ca.php
Да, я знаю, что по этому спеку вряд ли соберется, даже если распаковать ffmpeg (он ляжет в другое место).

Есть еще одна проблема. Компилятор при сборке mplayer через rpmbuild не может найти пути до заголовочных файлов девел-библиотек. Сборка напрямую из исходников проходит нормально.

Аватара пользователя
Pulfer
Сообщения: 3358
Зарегистрирован: 15 фев 2012, 01:57
Operating system: ROSA Desktop Fresh 2016.1 i586
Откуда: Vladivostok, Russia

Re: Не могу собрать новую версию mplayer в пакет

Сообщение Pulfer » 13 дек 2014, 13:43

Yamah писал(а):Где я туплю и не вижу как должен быть прописана распаковка Source4, что бы аналогично прописать распаковку Source2 (ffmpeg).
Можно просто явно распаковать:

tar -xf %{SOURCE2}
Intel Core i7-6700 / 8 Gb RAM / GeForce GTX 750 Ti / Rosa 2016.1 i586

Аватара пользователя
Yamah
Сообщения: 1318
Зарегистрирован: 04 май 2012, 06:30
Operating system: Десктоп (дом): Rosa Fresh R8.1, Rosa Fresh R10
Десктоп (работа): Rosa Fresh R8.1/Rosa Fresh R10
Сервер (работа): Rosa Enterprise Linux Sercver 6.7
Нетбук: Rosa Fresh R10
Контактная информация:

Re: Не могу собрать новую версию mplayer в пакет

Сообщение Yamah » 15 дек 2014, 08:26

Pulfer писал(а):
Yamah писал(а):Где я туплю и не вижу как должен быть прописана распаковка Source4, что бы аналогично прописать распаковку Source2 (ffmpeg).
Можно просто явно распаковать:

tar -xf %{SOURCE2}
Спасибо!
Локально таки собралось в пакеты.
Но похоже, что без libdca. Или configure фигово отработал, что не смог зацепить dca.h, или у меня с проблемы с глобальными переменными.

На ABF вообще не собрался. Архивы с сырцами не подгрузились.

А на ABF вообще не захотел собираться. https://abf.rosalinux.ru/build_lists/2375095
Блин!!! Ну что я делаю не так?

Аватара пользователя
Pulfer
Сообщения: 3358
Зарегистрирован: 15 фев 2012, 01:57
Operating system: ROSA Desktop Fresh 2016.1 i586
Откуда: Vladivostok, Russia

Re: Не могу собрать новую версию mplayer в пакет

Сообщение Pulfer » 15 дек 2014, 09:01

Yamah писал(а):А на ABF вообще не захотел собираться. https://abf.rosalinux.ru/build_lists/2375095
Блин!!! Ну что я делаю не так?
Видимо, какой-то зависимости не хватило, нужной для сборки ffmpeg. Вот только по логу сборки не ясно, какой именно (т.е. что из недостающего необходимо, а что опционально).
Intel Core i7-6700 / 8 Gb RAM / GeForce GTX 750 Ti / Rosa 2016.1 i586

Аватара пользователя
Yamah
Сообщения: 1318
Зарегистрирован: 04 май 2012, 06:30
Operating system: Десктоп (дом): Rosa Fresh R8.1, Rosa Fresh R10
Десктоп (работа): Rosa Fresh R8.1/Rosa Fresh R10
Сервер (работа): Rosa Enterprise Linux Sercver 6.7
Нетбук: Rosa Fresh R10
Контактная информация:

Re: Не могу собрать новую версию mplayer в пакет

Сообщение Yamah » 15 дек 2014, 11:08

Локально-то собралось.

Ладно. Буду мучить локальный спек на предмет сборки с возможностью воспроизведения DVD. Что-то собранный в пакет выдает ошибку при попытке воспроизвести контент заданный -dvd-device.
И при этом в собранном ручками воспроизводит нормально.

PS: Нужна поддержка x265 просто.

Ответить